<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" />
<xsl:template match="/">
<xsl:choose>
<xsl:when test="count(credcheck/parameter) &gt; 55">
Stor kreditupplysning</xsl:when>
<xsl:when test="count(credcheck/parameter) &gt; 40">
Enkel kreditupplysning</xsl:when>
<xsl:otherwise>
Anmärkningskontroll</xsl:otherwise>
</xsl:choose>    
Datum:<xsl:value-of select="credcheck/parameter[name='Datum kreditupplysning']/value" /><xsl:text>&#13;&#10;</xsl:text>
Org.nr:<xsl:value-of select="credcheck/parameter[name='Organisationsnr']/value" /><xsl:text>&#13;&#10;</xsl:text>
<xsl:value-of select="credcheck/parameter[name='Företagets namn']/value" /><xsl:text>&#13;&#10;</xsl:text>
<xsl:value-of select="credcheck/parameter[name='Utdelningsadress']/value" /><xsl:text>&#13;&#10;</xsl:text>
<xsl:value-of select="credcheck/parameter[name='Postnr']/value" /><xsl:text> </xsl:text><xsl:value-of select="credcheck/parameter[name='Postort']/value" />
<xsl:text>&#13;&#10;</xsl:text>
<xsl:if test="count(credcheck/parameter) &gt; 40">
Rating: <xsl:value-of select="credcheck/parameter[name='Kreditvärdighet text']/value" />	Poäng:<xsl:value-of select="credcheck/parameter[name='Kreditvärdighet poäng']/value" />
</xsl:if>
<xsl:text>&#13;&#10;</xsl:text> 
Betalningsanmärkningar	Antal:<xsl:value-of select="credcheck/parameter[name='Betalningsanmärkningar antal']/value" />	SEK:<xsl:value-of select="credcheck/parameter[name='Betalningsanmärkningar SEK']/value" />
<xsl:text>&#13;&#10;</xsl:text>
Betalningsansökan	Antal:<xsl:value-of select="credcheck/parameter[name='Betalningsansökan antal']/value" />	SEK:<xsl:value-of select="credcheck/parameter[name='Betalningsansökan SEK']/value" />
<xsl:text>&#13;&#10;</xsl:text>
Skuldsaldo		Datum:<xsl:value-of select="credcheck/parameter[name='Skuldsaldo datum']/value" />	SEK:<xsl:value-of select="credcheck/parameter[name='Skuldsaldo totalt SEK']/value" />
<xsl:text>&#13;&#10;</xsl:text>
Regdatum:<xsl:value-of select="credcheck/parameter[name='Registreringsdatum']/value" />
<xsl:text>&#13;&#10;</xsl:text>
Rörelsens intäkter(kkr):<xsl:value-of select="credcheck/parameter[starts-with(name,'Rörelsens intäkter')]/value" />	Nettoresultat(kkr):<xsl:value-of select="credcheck/parameter[starts-with(name,'Nettoresultat')]/value" />	Soliditet:<xsl:value-of select="credcheck/parameter[starts-with(name,'Soliditet')]/value" />

Parameter			Värde

<xsl:for-each select="credcheck/parameter">
<xsl:value-of select="name"/><xsl:text>&#09;</xsl:text><xsl:if test="value = ''">---</xsl:if><xsl:value-of select="value"/>
<xsl:text>&#13;&#10;</xsl:text>
</xsl:for-each>
</xsl:template>
</xsl:stylesheet>

